Lucene search
+L

1161 matches found

PyPA
PyPA
•added 2026/07/07 2:34 p.m.•39 views

Aim Path Traversal vulnerability

In version 3.22.0 of aimhubio/aim, the LocalFileManager.cleanup function in the aim tracking server accepts a user-specified glob-pattern for deleting files. The function does not verify that the matched files are within the directory managed by LocalFileManager, allowing a maliciously crafted...

7.5CVSS7.3AI score0.0107EPSS
SaveExploits1References6Affected Software1
osv-pysec
osv-pysec
•added 2026/07/07 2:34 p.m.•23 views

PYSEC-2026-1090 Aim Path Traversal vulnerability

In version 3.22.0 of aimhubio/aim, the LocalFileManager.cleanup function in the aim tracking server accepts a user-specified glob-pattern for deleting files. The function does not verify that the matched files are within the directory managed by LocalFileManager, allowing a maliciously crafted...

7.5CVSS7.3AI score0.0107EPSS
SaveExploits1References6
PyPA
PyPA
•added 2026/07/07 11:45 a.m.•29 views

Improper Limitation of a Pathname to a Restricted Directory ('Path Traversal') in hyper-bump-it

Summaryhyper-bump-it reads a file glob pattern from the configuration file. That is combined with the project root directory to construct a full glob pattern that is used to find files that should be edited. These matched files should be contained within the project root directory, but that is no...

5.5CVSS6AI score0.00365EPSS
SaveExploits1References6Affected Software1
osv-pysec
osv-pysec
•added 2026/07/07 11:45 a.m.•21 views

PYSEC-2026-1456 Improper Limitation of a Pathname to a Restricted Directory ('Path Traversal') in hyper-bump-it

Summary hyper-bump-it reads a file glob pattern from the configuration file. That is combined with the project root directory to construct a full glob pattern that is used to find files that should be edited. These matched files should be contained within the project root directory, but that is n...

3.3CVSS6AI score0.00365EPSS
SaveExploits1References6
osv-rlsa
osv-rlsa
•added 2026/07/05 12:05 p.m.•18 views

RLSA-2026:30860 Important: perl-IO-Compress security update

This distribution provides a Perl interface to allow reading and writing of compressed data created with the zlib and bzip2 libraries. IO-Compress supports reading and writing of bzip2, RFC 1950, RFC 1951, RFC 1952 i.e. gzip and zip files/buffers. The following modules used to be distributed...

7.8CVSS7.5AI score0.00495EPSS
SaveExploits3References2
Snyk
Snyk
•added 2026/07/02 10:18 p.m.•36 views

Inefficient Algorithmic Complexity

Overview pathway is a Pathway Live Data Framework is a data processing framework which takes care of streaming data updates for you. Affected versions of this package are vulnerable to Inefficient Algorithmic Complexity via the document store process. An attacker can exhaust system resources by...

8.7CVSS5.8AI score0.00793EPSS
SaveExploits0References2
NVD
NVD
•added 2026/07/02 8:17 p.m.•22 views

CVE-2026-59094

Pathway through 0.31.1, fixed in commit d09722e, document store applies a caller-supplied glob pattern to indexed document paths using a hand-written recursive matcher that branches two ways on each token without memoization, giving exponential worst-case complexity. The filepathglobpattern value...

8.7CVSS0.00793EPSS
SaveExploits0References4
Vulnrichment
Vulnrichment
•added 2026/07/02 7:40 p.m.•14 views

CVE-2026-59094 Pathway - Unauthenticated Denial of Service via Exponential Glob Pattern Matching in Document Store

Pathway through 0.31.1, fixed in commit d09722e, document store applies a caller-supplied glob pattern to indexed document paths using a hand-written recursive matcher that branches two ways on each token without memoization, giving exponential worst-case complexity. The filepathglobpattern value...

8.7CVSS5.8AI score0.00793EPSS
SaveExploits0References4
EUVD
EUVD
•added 2026/07/02 7:40 p.m.•29 views

EUVD-2026-41425

Pathway through 0.31.1, fixed in commit d09722e, document store applies a caller-supplied glob pattern to indexed document paths using a hand-written recursive matcher that branches two ways on each token without memoization, giving exponential worst-case complexity. The filepathglobpattern value...

8.7CVSS5.8AI score0.00793EPSS
SaveExploits0References4
attackerkb
attackerkb
•added 2026/07/02 7:40 p.m.•19 views

CVE-2026-59094

Pathway through 0.31.1, fixed in commit d09722e, document store applies a caller-supplied glob pattern to indexed document paths using a hand-written recursive matcher that branches two ways on each token without memoization, giving exponential worst-case complexity. The filepathglobpattern value...

8.7CVSS5.8AI score0.00793EPSS
SaveExploits0References5
Cvelist
Cvelist
•added 2026/07/02 7:40 p.m.•56 views

CVE-2026-59094 Pathway - Unauthenticated Denial of Service via Exponential Glob Pattern Matching in Document Store

Pathway through 0.31.1, fixed in commit d09722e, document store applies a caller-supplied glob pattern to indexed document paths using a hand-written recursive matcher that branches two ways on each token without memoization, giving exponential worst-case complexity. The filepathglobpattern value...

8.7CVSS0.00793EPSS
SaveExploits0References4
osv-cve
osv-cve
•added 2026/07/02 7:40 p.m.•52 views

CVE-2026-59094 Pathway - Unauthenticated Denial of Service via Exponential Glob Pattern Matching in Document Store

Pathway through 0.31.1, fixed in commit d09722e, document store applies a caller-supplied glob pattern to indexed document paths using a hand-written recursive matcher that branches two ways on each token without memoization, giving exponential worst-case complexity. The filepathglobpattern value...

8.7CVSS6AI score
SaveExploits0References7
CVE
CVE
•added 2026/07/02 7:40 p.m.•53 views

CVE-2026-59094

Affected software: Pathway, affected up to v0.31.1. Vulnerability: document store applies a caller-supplied glob pattern to indexed document paths via a hand-written recursive matcher that branches on each ** token without memoization, yielding exponential worst-case complexity. The pattern from ...

8.7CVSS5.8AI score0.00793EPSS
SaveExploits0References4
Positive Technologies
Positive Technologies
•added 2026/07/02 12:00 a.m.•43 views

PT-2026-55295

Pathway through 0.31.1, fixed in commit d09722e, document store applies a caller-supplied glob pattern to indexed document paths using a hand-written recursive matcher that branches two ways on each token without memoization, giving exponential worst-case complexity. The filepath globpattern valu...

8.7CVSS5.8AI score0.00793EPSS
SaveExploits0References5
osv-rlsa
osv-rlsa
•added 2026/07/01 12:03 p.m.•17 views

RLSA-2026:30859 Important: perl-IO-Compress security update

This distribution provides a Perl interface to allow reading and writing of compressed data created with the zlib and bzip2 libraries. IO-Compress supports reading and writing of bzip2, RFC 1950, RFC 1951, RFC 1952 i.e. gzip and zip files/buffers. The following modules used to be distributed...

7.8CVSS7.5AI score0.00495EPSS
SaveExploits3References2
Rockylinux
Rockylinux
•added 2026/07/01 12:03 p.m.•24 views

perl-IO-Compress security update

An update is available for perl-IO-Compress. This update affects Rocky Linux 9. A Common Vulnerability Scoring System CVSS base score, which gives a detailed severity rating, is available for each vulnerability from the CVE list This distribution provides a Perl interface to allow reading and...

7.8CVSS7.4AI score0.00495EPSS
SaveExploits3
Tenable Nessus
Tenable Nessus
•added 2026/06/30 12:00 a.m.•54 views

RHEL 10 : perl-IO-Compress (RHSA-2026:30860)

The remote Redhat Enterprise Linux 10 host has a package installed that is affected by a vulnerability as referenced in the RHSA-2026:30860 advisory. This distribution provides a Perl interface to allow reading and writing of compressed data created with the zlib and bzip2 libraries. IO-Compress...

7.8CVSS7.4AI score0.00495EPSS
SaveExploits3References4
RedHat Linux
RedHat Linux
•added 2026/06/29 6:18 p.m.•23 views

Important: Red Hat Security Advisory: perl-IO-Compress security update

An update for perl-IO-Compress is now available for Red Hat Enterprise Linux 10. Red Hat Product Security has rated this update as having a security impact of Important. A Common Vulnerability Scoring System CVSS base score, which gives a detailed severity rating, is available for each...

7.8CVSS7.3AI score0.00495EPSS
SaveExploits3References2
RedHat Linux
RedHat Linux
•added 2026/06/29 6:18 p.m.•28 views

perl-IO-Compress: perl-IO-Compress: Arbitrary code execution via attacker-controlled output glob

A flaw was found in perl-IO-Compress, a component used for data compression and decompression. A remote attacker could exploit this vulnerability by crafting a malicious input, specifically an output glob, that bypasses the intended security measures. This could lead to the execution of...

7.8CVSS7.3AI score0.00495EPSS
SaveExploits3References6
osv-rlsa
osv-rlsa
•added 2026/06/29 12:01 p.m.•20 views

RLSA-2026:30851 Important: perl:5.32 security update

Perl is a high-level programming language that is commonly used for system administration utilities and web programming. Security Fixes: perl-archive-tar: perl-archive-tar: Path traversal via crafted symlinks allows arbitrary file access CVE-2026-42496 perl-IO-Compress: perl-IO-Compress: Arbitrar...

8.2CVSS7.6AI score0.00495EPSS
SaveExploits3References3
Rows per page
Query Builder